Bug 817187 - GRUB2 error: file '/boot/grub2/locale/en.mo.gz' not found
GRUB2 error: file '/boot/grub2/locale/en.mo.gz' not found
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
21
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
https://savannah.gnu.org/bugs/index.p...
: Reopened
: 767743 851356 859307 886334 (view as bug list)
Depends On:
Blocks: 842218
  Show dependency treegraph
 
Reported: 2012-04-27 20:22 EDT by Artem S. Tashkinov
Modified: 2015-12-02 11:03 EST (History)
61 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:38:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Grub locale error at boot (23.04 KB, image/png)
2012-05-07 10:36 EDT, Panos Kavalagios
no flags Details
Suppress gettext error message (Colin's patch) (914 bytes, patch)
2012-10-31 14:59 EDT, Paulo Flabiano Smorigo
no flags Details | Diff
screen shot of error (53.24 KB, image/png)
2012-11-21 19:09 EST, Chris Murphy
no flags Details
testing (37 bytes, text/plain)
2013-05-09 14:53 EDT, Snacker
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Savannah 35880 None None None Never

  None (edit)
Description Artem S. Tashkinov 2012-04-27 20:22:24 EDT
Description of problem:

Every time grub2 loads before showing its menu it shows this error message: error: file '/boot/grub2/locale/en.mo.gz' not found


Version-Release number of selected component (if applicable):

grub2-2.0-0.24.beta4.fc17

How reproducible: always

Please, resolve this problem ASAP as Fedora looks kinda slovenly with this bug
Comment 1 Mads Kiilerich 2012-04-28 04:21:05 EDT
How do you see this? Does it flicker by before the screen is cleared? Or what kind of hardware is that?
Comment 2 Artem S. Tashkinov 2012-04-28 05:46:22 EDT
(In reply to comment #1)

It can be seen for a fraction of a second:

GRUB

error: file '/boot/grub2/locale/en.mo.gz' not found

then the screen is cleared and I see the menu.

I have a standard PC (Intel Core i5 CPU).

Fire up any video camera - and you'll see it yourself.
Comment 3 Mads Kiilerich 2012-04-28 18:46:50 EDT
Please give http://koji.fedoraproject.org/koji/taskinfo?taskID=4031834 a try.
Comment 4 Artem S. Tashkinov 2012-04-28 19:48:25 EDT
(In reply to comment #3)

I'm looking at the diff between grub2-2.0-0.24.beta4.fc17.src.rpm and grub2-2.0-0.24.beta4.i18n.1.fc17.src.rpm and the only relevant change is that you don't remove locale files any longer.

However it cannot fix this bug because someone still has to 

cp /usr/share/locale/en@quot/LC_MESSAGES/grub.mo /boot/grub2/locale/en.mo
gzip /boot/grub2/locale/en.mo
Comment 5 Mads Kiilerich 2012-04-29 08:47:08 EDT
(In reply to comment #4)
> cp /usr/share/locale/en@quot/LC_MESSAGES/grub.mo /boot/grub2/locale/en.mo

Already done by grub2-install

> gzip /boot/grub2/locale/en.mo

grub will look for .mo before looking for .mo.gz
Comment 6 Artem S. Tashkinov 2012-04-29 09:08:54 EDT
(In reply to comment #5)

I guess it's fixed then.

Thank you.
Comment 7 Mads Kiilerich 2012-04-29 09:17:29 EDT
If it solves the problem for you then we are one step closer to getting the solved.

The koji link was just a scratch build - the grub packager has not applied a fix yet.
Comment 8 cornel panceac 2012-05-05 00:31:30 EDT
i also see something similar at boot, there is some error before the menu appears (too fast to see it), and after pressing enter to boot the latest kernel i immediately get something like this:

three lines with "error: file not found, then
loading linux
loading initrd and then
press any key to continue.

after a few seconds, boot continues by itself.
Comment 9 Dr. Tilmann Bubeck 2012-05-06 04:24:06 EDT
There is still no locale found in Fedora-17-TC3-x86_64-DVD.iso and the bug is therefore still not fixed.

As I selected "German" during installation, my grub is requesting "de" locale.
Comment 10 Mads Kiilerich 2012-05-06 06:15:15 EDT
(In reply to comment #9)
> There is still no locale found in Fedora-17-TC3-x86_64-DVD.iso and the bug is
> therefore still not fixed.

That is correct. Comment 7 still apply.

Users with a locale without a grub translation will however probably still see that error message even when grub locales are 'correctly' installed. Someone might want to follow up on that upstream.
Comment 11 Panos Kavalagios 2012-05-07 10:36:16 EDT
Created attachment 582688 [details]
Grub locale error at boot

A screenshot as captured on a virtual box running Fedora 17 beta with latest updates including testing repo:

root@virtual:[69] ~ # rpm -q grub2
grub2-2.0-0.24.beta4.fc17.i686
Comment 12 Chris Murphy 2012-05-16 11:06:31 EDT
This still happens with today's Final TC6 Live Desktop.

Fedora-17.TC6-x86_64-Live-Desktop.iso
grub2-2.0-0.25.beta4
Comment 13 Hedayat Vatankhah 2012-05-24 15:09:33 EDT
I do also see this problem in a fresh RC2 install. It's really weird to see this bug is still not solved. I think it is at least an NTH bug.
Comment 14 Orion Poplawski 2012-05-25 15:55:01 EDT
I see it too with grub2-2.0-0.25.beta4.fc17.i686
Comment 15 Martin F 2012-05-26 07:35:05 EDT
I had to comment out the following lines in /boot/grub2/grub.cfg to make the grub menu to show up and without error messages:

#if loadfont $font ; then
#  set gfxmode=auto
#  load_video
#  ...
#  insmod gettext
#fi
#terminal_output gfxterm

Of course it will be overwritten by the next grub2-mkconfig, but at least it's a workaround for me.
Comment 16 Martin F 2012-05-26 08:33:30 EDT
Looks like there is a better workaround. Edit /etc/default/grub and add the following line:

GRUB_TERMINAL_OUTPUT=console

The problem seems to be that GRUB_TERMINAL_OUTPUT=gfxterm by default which might not be working well.
Comment 17 Pedro Francisco 2012-05-28 11:08:49 EDT
Regarding comment 13, my guess is that most testers are just updating their F17 as usual and don't get this bug. I didn't get it until I decided to do:
# rm /etc/default/grub
# yum reinstall grub2

in order to get rid of some customizations I had made.
Comment 18 Mads Kiilerich 2012-05-28 15:21:58 EDT
(In reply to comment #17)
> I decided to do:
> # rm /etc/default/grub
> # yum reinstall grub2
> in order to get rid of some customizations I had made.

Note that the /etc/default/grub in the grub2 rpm is just an example that anaconda will overwrite as a part of installing a system. The file will not be provided by grub2 in the next release. Removing the file and reinstalling grub2 is thus not a good idea.
Comment 19 Pedro Francisco 2012-05-28 15:52:28 EDT
(In reply to comment #18) Ok, thanks! Anyway I had done "rpm -qf /etc/default/grub" first so I was sure that it was provided by grub2 package :)
Comment 20 Hin-Tak Leung 2012-05-31 22:18:20 EDT
(In reply to comment #8)
> i also see something similar at boot, there is some error before the menu
> appears (too fast to see it), and after pressing enter to boot the latest
> kernel i immediately get something like this:
> 
> three lines with "error: file not found, then
> loading linux
> loading initrd and then
> press any key to continue.
> 
> after a few seconds, boot continues by itself.

This was closed as 'workforme' - and there is a workaround,
[Bug 826781] 'File Not Found' on startup
But I like to have a better anwser than that.
Comment 21 Hin-Tak Leung 2012-06-01 22:51:28 EDT
After doing grub2-install (
https://bugzilla.redhat.com/show_bug.cgi?id=826781#c1) the 3 error lines are gone, replaced by one longer error line flashing by too fast to see. I think it is this.
Comment 22 Hin-Tak Leung 2012-06-03 19:40:44 EDT
(In reply to comment #8)
> i also see something similar at boot, there is some error before the menu
> appears (too fast to see it), and after pressing enter to boot the latest
> kernel i immediately get something like this:
> 
> three lines with "error: file not found, then
> loading linux
> loading initrd and then
> press any key to continue.
> 
> after a few seconds, boot continues by itself.

Filed "Bug 827987 - preupgrade does not run grub2-install" for this.
Comment 23 Attila Zilizi 2012-06-05 12:37:29 EDT
The workaround suggested in comment #16 worked for me.
After adding the grub option to /etc/default/grub and regenerating the config file with the command 'grub2-mkconfig -o /boot/grub2/grub.cfg' the error message disappeared.
Comment 24 Jeff Guerdat 2012-06-05 19:41:54 EDT
I upgraded from F16 to F17 release.  Tried preupgrade with various issues found in known issues.  I then used the network install to attempt a repair install and it worked fine.  However, the initial grub screen shows the same error message sans "/boot" - it shows as:

error: file '/grub2/locale/en.mo.gz' not found
Comment 25 peter 2012-06-07 16:43:50 EDT
This helps for me:

cp /boot/grub2/locale/uk.mo /boot/grub2/locale/en.mo

No more error message.
Comment 26 Joseph D. Wagner 2012-06-11 20:42:36 EDT
Confirmed bug still impacts fresh install.  I used a network install, so it had the latest packages from point-of-install.

grub2-2.0-0.25.beta4.fc17.x86_64
Comment 27 Jeremy Newton 2012-06-12 10:46:25 EDT
I can confirm the fix/workaround in comment#25.
It seems it's not an issue with a missing /boot/grub2/locale/en.mo.gz file, but rather grub resorting to trying and failing to use the en.mo.gz because en.mo doesn't exist.
As said in comment#5, it looks for a *.mo before *.mo.gz, so this is likely the case.
Comment 28 Jeremy Newton 2012-06-12 10:59:29 EDT
Also note that I found that

cp /boot/grub2/locale/en@quot.mo /boot/grub2/locale/en.mo

is a more practical choice, as uk.mo is not english.
Comment 29 peter 2012-06-14 03:38:36 EDT
(In reply to comment #28)
> Also note that I found that
> 
> cp /boot/grub2/locale/en@quot.mo /boot/grub2/locale/en.mo
> 
> is a more practical choice, as uk.mo is not english.

That is correct - uk.mo is ukrainian, so you get Cyrillic text in ukrainian language on boot.

Please use the solution from Comment #28.
Comment 30 Kel Byers 2012-06-14 12:00:39 EDT
(In reply to comment #8)
> i also see something similar at boot, there is some error before the menu
> appears (too fast to see it), and after pressing enter to boot the latest
> kernel i immediately get something like this:
> 
> three lines with "error: file not found, then
> loading linux
> loading initrd and then
> press any key to continue.
> 
> after a few seconds, boot continues by itself.

I had this issue also. I ran grub2-install to re-install the MBR portion of grub2, and that fixed the issue for me. Fedora 16 seemed to use version 1.99, while Fedora 17 has upgraded to version 2.00. Updating the RPM doesn't re-install grub to the MBR.
Comment 31 Jan Pokorný 2012-08-03 15:20:31 EDT
Currently having grub2-2.0-0.37.beta6.fc17.x86_64, updated on Jul 13,
I can still see the issue.

While I can do the fix as per comment 25 manually,  would not be it
a good idea to have the package do it automatically upon installation?
Maybe even a link instead of copying would do (haven't tested it)?
Comment 32 Mads Kiilerich 2012-08-03 15:58:14 EDT
Making that copy will not be a generic solution; it will only work as a workaround for users with en locale.

We don't have a pretty boot anyway, so I think it is better to wait for an upstream solution.
Comment 33 Mads Kiilerich 2012-08-25 07:00:07 EDT
*** Bug 851356 has been marked as a duplicate of this bug. ***
Comment 34 Gareth Davies 2012-08-25 14:30:59 EDT
I followed Comment <a href="https://bugzilla.redhat.com/show_bug.cgi?id=817187#c25">Comment 25</a> but got Russian text at the bottom of the Grub2 screen, then read and did<a href="https://bugzilla.redhat.com/show_bug.cgi?id=817187#c28">Comment 28</a> which fixed the issue.
Comment 35 cornel panceac 2012-08-26 16:05:12 EDT
where can i get those files from? my /boot/grub2/locale is empty ....
Comment 36 Mads Kiilerich 2012-08-26 19:22:29 EDT
(In reply to comment #35)
> where can i get those files from? my /boot/grub2/locale is empty ....

Before considering a workaround: What kind of system do you have and how did it end up like that?
Comment 37 cornel panceac 2012-08-31 04:50:37 EDT
Hello Mads, I have fedora 17 x86, i believe i've got into this because i've swithced to f17 before it was released but i'm not sure.
Comment 38 Mads Kiilerich 2012-08-31 10:16:02 EDT
(In reply to comment #37)

Make sure you have the latest grub2 packages installed and see /usr/share/doc/grub2-tools-2.0/README.Fedora for how to install a new bootloader and corresponding config file.
Comment 39 Mads Kiilerich 2012-09-21 04:47:21 EDT
*** Bug 859307 has been marked as a duplicate of this bug. ***
Comment 40 Germán Ríos González 2012-09-21 10:52:04 EDT
(In reply to comment #28)
> Also note that I found that
> 
> cp /boot/grub2/locale/en@quot.mo /boot/grub2/locale/en.mo
> 
> is a more practical choice, as uk.mo is not english.

This problem is still present in Fedora 18 Alpha, and this workaround works for me
Comment 41 xset1980 2012-09-21 15:48:50 EDT
This problem is still present in Fedora 18 Alpha with es.mo.gz
Comment 42 Mads Kiilerich 2012-09-25 18:43:17 EDT
The simplest workaround might be to add
  LANG=C
to /etc/default/grub before generating grub.cfg.
Comment 43 Mario Blättermann 2012-10-04 18:18:31 EDT
*** Bug 767743 has been marked as a duplicate of this bug. ***
Comment 44 Paulo Flabiano Smorigo 2012-10-31 14:59:05 EDT
Created attachment 636279 [details]
Suppress gettext error message (Colin's patch)

Hi, can we use Colin Watson's patch from comment #1 on the upstream bug?
https://savannah.gnu.org/bugs/?35880#comment11

(Attached is Colin's patch reworked according to pjones guidelines)
Comment 45 Artem S. Tashkinov 2012-11-21 18:26:51 EST
I cannot believe my eyes, I've just installed 18/Rawhide and the bug is still valid.
Comment 46 Chris Murphy 2012-11-21 19:09:18 EST
Created attachment 649450 [details]
screen shot of error

Still a bug in Fedora 18 beta RC1, grub2-2.00-12.fc18.x86_64.
Comment 47 Bob 2012-11-23 10:42:39 EST
I like the workaround:
  LANG=C grub2-mkconfig -o /boot/grub2/grub.cfg
found at:
  https://bugs.gentoo.org/show_bug.cgi?id=408599#c4
until the bug is fixed.
Comment 48 xset1980 2012-11-29 23:37:43 EST
Still on Fedora 18 beta rc1.
Comment 49 Mario Blättermann 2012-12-07 13:32:13 EST
Just installed f18 beta (KDE spin) and it works. I've set the language globally to German, and I get a German Grub2. For me the problem is solved.
Comment 50 Mads Kiilerich 2012-12-12 08:08:32 EST
*** Bug 886334 has been marked as a duplicate of this bug. ***
Comment 51 Philippe 2012-12-12 18:38:05 EST
Confirmed again after so long time bug still impacts a fresh F17 install with updates repo active. (No more updates available after first boot).
Will this never be fixed by F17 updates ? Why does this still happen ?
Comment 52 Mads Kiilerich 2012-12-12 19:05:49 EST
(In reply to comment #51)
> Why does this still happen ?

It is simply because neither you nor anybody else has gotten it resolved upstream yet.

I know it is unfair to say that, but not more than snarky complaints in a bugtracker is ;-)
Comment 53 Stephen Tweedie 2012-12-17 14:20:54 EST
F18-beta, LANG=en_GB.UTF-8, and I see the same problem.
Comment 54 xset1980 2012-12-23 01:11:52 EST
Fedora 18 beta KDE, LANG=es_ES.UTF-8 same problem.
Comment 55 Wilbur Smith 2012-12-29 16:04:54 EST
I'm also seeing this issue the latest Fedora 18 64 bit build in my VMWare Fusion VM. Unfortunately, the upstream provider seems to be debating how to resolve it since Sept 2012.  https://savannah.gnu.org/bugs/index.php?35880#discussion 

Any thoughts on what we can do to move a fix forward?
Comment 56 Brian Lane 2013-01-07 12:54:51 EST
*** Bug 891259 has been marked as a duplicate of this bug. ***
Comment 57 xset1980 2013-01-15 14:43:22 EST
Still present on Fedora 18 final release.
Comment 58 Rick Beldin 2013-01-22 10:42:22 EST
With Fed 18 final, this can be seen on serial console: 

Booting...
GRUB loading.
Welcome to GRUB!

error: file `/grub2/locale/en.mo.gz' not found.
Comment 59 GeekGirl1 2013-01-24 17:25:23 EST
I have the same problem as Rick Beldin.

GRUB loading.
Welcome to GRUB!

error: file `/grub2/locale/en.mo.gz' not found.

My FC18 install was on top of an existing FC16 GRUB 1.99 configuration (dual boot with Windows 7).
Comment 60 Gireesh Sreekantan 2013-02-05 05:28:10 EST
The grub error message was present on my desktop for more than an year. I had upgraded from F16 --> F17 and recently to F18.

I was finally able to get rid of the error by following the steps in comment#16. I don't use plymouth or background images at the grub menu so I can't say what I lost by changing the mode to console.
Comment 61 longint 2013-02-06 17:26:35 EST
same here on a fresh install of Fedora18, I do not even have any lang or locale related file or directory below /boot.

BTW: I'm using EFI on an MacBookPro
Comment 62 GeekGirl1 2013-02-08 23:09:00 EST
Fedora 18, clean install.

I do not confirm the workaround of comment #16. Unless there was an additional step after editing /etc/default/grub, the error remained.

I confirm the workaround of comment #28:

cp /boot/grub2/locale/en@quot.mo /boot/grub2/locale/en.mo


Additional information:

Comment #16 states: The problem seems to be that GRUB_TERMINAL_OUTPUT=gfxterm by default which might not be working well.

I have an error at boot:

Loading Fedora (3.7.6-201.fc18.x86_64)
text is deprecated. Use set gfxpayload=VGA=Normal before linux command instead.
Loading initial ramdisk...

I don't know if this error is preventing the comment #16 workaround from working.
Comment 63 tzur.turkenitz 2013-03-01 12:04:16 EST
This is frustrating.
Fresh install of Fedora18, ctrl+alt+F2 reveals the same error:
error: file '/grub2/locale/en.mo.gz' not found

I can't even do anything to repair this using the suggested solutions because the system just hangs. :-\
Comment 64 Shalom Ben-Zvi 2013-03-03 15:08:16 EST
fresh install fedora 18 uefi boot. problem still exists.
in my case grub sometimes freezes oo the screen just after this message and there's nothing to do expect hard reboot.
Comment 65 Chris Murphy 2013-03-03 15:36:04 EST
I suggest one of the work arounds listed in this bug rather than more "me toos" so you can determine if the subsequent hang/freeze is something else.
Comment 66 tzur.turkenitz 2013-03-03 16:01:10 EST
Chris,
Those are not "Me too" posts.
Some of us only get the Fedora background picture and nothing else, we can't even access shell to do anything and try to solve this issue using one of the workarounds.

Ctrl+Alt+F2 reveals the grub error and that's it.
Comment 67 Chris Murphy 2013-03-03 16:16:38 EST
(In reply to comment #66)
Boot from install DVD or netinst media in rescue mode, chroot /mnt/sysimage, and then edit /etc/default/grub as described in e.g. comment 42, save it, then run grub2-mkconfig -o /boot/grub2/grub.cfg. Now reboot. If you're still getting some sort of hang or freeze, then it's not this bug. It's a different bug.
Comment 68 Shalom Ben-Zvi 2013-03-03 16:32:27 EST
is "grub2-mkconfig -o /boot/grub2/grub.cfg" good for uefi boot also ?
Comment 69 Chris Murphy 2013-03-03 16:56:04 EST
(In reply to comment #68)
Upstream grub2 expects to find grub.cfg in the same location on UEFI and BIOS. But Fedora's variant of GRUB2 puts them in different locations. So for UEFI you'll need to use 'grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg'.
Comment 70 Shalom Ben-Zvi 2013-03-03 17:11:34 EST
OK, did that , error message gone. thanks.
Comment 71 Fedora End Of Life 2013-04-03 15:38:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 72 Snacker 2013-05-09 14:53:57 EDT
Created attachment 745776 [details]
testing

Commentaire
Comment 73 Gerald Cox 2013-07-06 15:38:52 EDT
I've had this issue since Fedora 18 and was too lazy to look into it... I upgraded to Fedora 19 with fedup-cli and it is still there and was getting annoying...

For me, however it was looking for
/boot/EFI/fedora/locale/en.gmo NOT en.mo

I issued:
cp /usr/share/locale/en/LC_MESSAGES/grub.mo /boot/EFI/fedora/locale/en.gmo

Not sure if that is the right file or not, but the error message has gone away.

What I don't understand is how this has been open for over a year, gone through the Q/A cycle for F19 and still isn't fixed.  Especially if it is a case of a file not being placed in the proper directory.  We shouldn't be asking our users to be mucking with their grub configurations - that's just asking for trouble.
Comment 74 Garrett Mitchener 2013-08-05 22:42:09 EDT
I installed Fedora 19 on an Asus Zenbook that uses EFI.  The boot menu was so tiny I could barely read it.  So I ended up getting the starfield theme to work, then started getting this error message about a missing file.  I ended up copying the entire directory /boot/grub2/locale to /boot/efi/EFI/fedora, which seems to have solved it.  I think the problem is that in the process of switching grub from looking at /boot/grub2 to /boot/efi/EFI/fedora some paths didn't get fixed and now grub can't find things.

In particular, the $prefix referred to in grub2.cfg: where is that set, and what should it be on BIOS and on EFI?
Comment 75 Nigel George 2014-06-23 20:10:20 EDT
I've just installed a fresh copy of F20 Netinstall on my EFI machine and noticed an error right before the menu appears. I used netinstall because I wanted Cinnamon Desktop.

Tweaked grub to add a theme, no problem, but right before the menu shows I get this error.

"Error file not found: /boot/EFI/fedora/locale/en.gmo"
Comment 76 Toralf Förster 2014-09-03 13:53:23 EDT
I installed 1 week a ago a KVM under a stable Gentoo and hit that bug too with latest stable gentoo grub2 package.
Comment 77 Michael Cronenworth 2014-10-04 01:03:11 EDT
A workaround is to call mkconfig with no language.

## For BIOS:
# LANG=C grub2-mkconfig -o /boot/grub2/grub.cfg

## For EFI:
# LANG=C grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg
Comment 78 Fedora End Of Life 2015-05-29 04:44:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 79 Fedora End Of Life 2015-06-29 20:35:47 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 80 Sergio Monteiro Basto 2015-09-30 08:58:32 EDT
(In reply to Michael Cronenworth from comment #77)
> A workaround is to call mkconfig with no language.
> 
> ## For BIOS:
> # LANG=C grub2-mkconfig -o /boot/grub2/grub.cfg
> 
> ## For EFI:
> # LANG=C grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg

ah with my LANG=pt_PT.UTF-8 

Every time grub2 loads before showing its menu it shows this error message: error: file 'grub2/locale/pt.mo.gz' not found
But grub2 package don't have any pt (European) translation (have pt_BR but it isn't the same). 
Colin's patch looks good .
This bug still present at Fedora 21 , at least, IMHO should be reopened .
Comment 81 Fedora End Of Life 2015-11-04 10:22:07 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 82 Fedora End Of Life 2015-12-01 21:38:52 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.